spandsp 0.0.6

hdlc_tx_state_s Struct Reference

`#include <hdlc.h>`

## Public Attributes
int | crc_bytes
hdlc_underflow_handler_t | underflow_handler
| The callback routine called to indicate transmit underflow.
void * | user_data
| An opaque parameter passed to the callback routine.
int | inter_frame_flags
| The minimum flag octets to insert between frames.
int | progressive
| TRUE if frame creation works in progressive mode.
size_t | max_frame_len
| Maximum permitted frame length.
uint32_t | octets_in_progress
| The stuffed bit stream being created.
int | num_bits
| The number of bits currently in octets_in_progress.
int | idle_octet
| The currently rotated state of the flag octet.
int | flag_octets
| The number of flag octets to send for a timed burst of flags.
int | abort_octets
| The number of abort octets to send for a timed burst of aborts.
int | report_flag_underflow
| TRUE if the next underflow of timed flag octets should be reported.
uint8_t | buffer [HDLC_MAXFRAME_LEN+4]
| The current message being transmitted, with its CRC attached.
size_t | len
| The length of the message in the buffer.
size_t | pos
| The current send position within the buffer.
uint32_t | crc
| The running CRC, as data fills the frame buffer.
int | byte
| The current byte being broken into bits for transmission.
int | bits
| The number of bits remaining in byte.
int | tx_end
| TRUE if transmission should end on buffer underflow .

## Detailed Description

HDLC transmit descriptor. This contains all the state information for an HDLC transmitter.

## Member Data Documentation

## ◆ crc_bytes

int hdlc_tx_state_s::crc_bytes

2 for CRC-16, 4 for CRC-32

Referenced by hdlc_tx_frame(), hdlc_tx_init(), and hdlc_tx_restart().

The documentation for this struct was generated from the following file:

- private/hdlc.h